Skip to main content
Executions endpoint

Retrieve Execution

GET/execution-runs/{runId}/

Path parameters

runId
Identifier used by the registered route.

Request body

none

This endpoint does not accept a request body.

Response shape​

The response always has run, activities, dataTransfers, handles, and events. With cloud operations configured, it also has infrastructureRuns. With the data catalog configured, it also has dataObjects, dataLocations, artifactMaterializations, and artifactTransferRuns. The example shows the core fields of a completed workflow run; optional run fields and related arrays vary by run and server configuration.

See the Executions guide for related tasks and context.